<template>
  <div class="row">
    <img src="static/img/encabezado.png" alt="declaraNet">
    <div class="col-md-12 card card-wizard">
      <div class="card-header">
        <div class="text-center">
        </div>
        <h4 class="title text-center">Resumen de la declaración patrimonial y de intereses</h4>
        <p class="category text-right fechap">{{fecha}}</p>
        <p class="category text-right">{{hora}}</p>
      </div>
      <div>
        <div class="card-content typo-line ">
          <h5 class="nombre">{{this.dpersonales.nombres}}</h5>
          <h5>{{this.encargo.dependencia}}</h5>
          <br>
          <p class="categoria">Datos Personales</p>
          <p class="datos">{{this.dpersonales.nombres}}</p>
          <p class="datos">{{this.dpersonales.curp}}</p>
          <p class="datos">{{this.dpersonales.rfc}}</p>
          <br>
          <p class="categoria">Datos del Encargo Actual</p>
          <p class="datos">{{this.encargo.dependencia}}</p>
          <p class="datos">{{this.encargo.cargo}}</p>
          <br>
          <div v-if="intereses">
            <p class="categoria">Intereses</p>
            <p class="datos">Empresas, Sociedades y Asociaciones</p>
            <div v-for="empresa in intereses">
              <p class="datos">{{empresa.nombreEmpresa}}</p>
              <p class="datos">{{empresa.naturaleza}}</p>
            </div>
          </div>
          <div v-if="ingresos">
            <p class="categoria">Ingresos</p>
            <div>
              <p class="datos">Sueldos y salarios públicos</p>
              <div v-for="sueldo in ingresos.spublicos">
                <p class="datos">{{sueldo.ente}}</p>
                <p class="datos">{{sueldo.ingreso}}</p>
              </div>
            </div>
            <br>
            <div>
              <p class="datos">Otros sueldos y salarios</p>
              <div v-for="sueldo in ingresos.otros">
                <p class="datos">{{sueldo.nombre}}</p>
                <p class="datos">{{sueldo.ingreso}}</p>
              </div>
            </div>
          </div>
          <div>
            <p class="categoria">Activos</p>
            <div>
              <p class="datos">Bienes inmuebles</p>
              <div v-for="item in activos.inmuebles">
                <p class="datos">{{item.tipoOperacion}}</p>
                <p class="datos">{{item.naturaleza}}</p>
                <p class="datos">{{item.domicilio}}</p>
                <p class="datos">{{item.padquisicion}}</p>
              </div>
            </div>
            <br>
            <div>
              <p class="datos">Bienes muebles</p>
              <div v-for="item in activos.bmuebles">
                <p class="datos">{{item.tipoOperacion}}</p>
                <p class="datos">{{item.tipoBien}}</p>
                <p class="datos">{{item.padquisicion}}</p>
              </div>
            </div>
            <br>
            <div>
              <p class="datos">Bienes muebles no registrables</p>
              <div v-for="item in activos.bmueblesnr">
                <p class="datos">{{item.tipoOperacion}}</p>
                <p class="datos">{{item.tipoBien}}</p>
                <p class="datos">{{item.padquisicion}}</p>
              </div>
            </div>
          </div>
          <div>
            <p class="categoria">Declaración fiscal</p>
            <div>
              <p class="datos">{{fiscal}}</p>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-md-8 col-md-offset-2 container-fluid">
        <div class="card">
          <div class="card-content text-center alert-warning">
            <h3>Estás a punto de enviar la declaración, una vez enviada, no podrás editar los datos</h3>
          </div>
        </div>
      </div>
      <div class="col-md-6 col-md-offset-3 container-fluid text-center">
        <button type="button" class="btn btn-wd btn-success" @click="enviar">
          <span class="btn-label">
            <i class="fa fa-check"></i>
          </span>
          Enviar
        </button>
        <br><br><br><br>
      </div>
    </div>
  </div>
</template>
<script>
  import Vue from 'vue'
  import {
    Table,
    TableColumn
  } from 'element-ui'
  Vue.use(Table)
  Vue.use(TableColumn)
  export default {
    data() {
      return {
        ip_id: null,
        fecha: '',
        hora: '',
        dpersonales: [],
        encargo: [],
        intereses: null,
        ingresos: null,
        activos: null,
        sueldos: null,
        fiscal: null
      }
    },
    created() {
      this.ip_id = this.getId();
      this.fechaHora();
      this.getResumen();
    },
    methods: {
      fechaHora() {

        var fecha = new Date();
        var options = {
          year: 'numeric',
          month: 'long',
          day: 'numeric',
          weekday: 'long'
        };
        var options2 = {
          hour: 'numeric',
          minute: 'numeric'
        };


        this.fecha = fecha.toLocaleDateString("es-ES", options);
        this.hora = fecha.getHours() + ':' + fecha.getMinutes() + ' hrs';
      },
      getResumen() {
        this.$http.get('getResumen/' + this.ip_id).then(
          response => {
            this.dpersonales = response.data.resumen.dpersonales;
            this.encargo = response.data.resumen.dencargo;
            this.intereses = response.data.resumen.empresas;
            this.ingresos = response.data.resumen.ingresos;
            this.activos = response.data.resumen.activos;
            this.fiscal = response.data.resumen.fiscal;
          },
          error => {
            this.StepError(error);
            //console.log(error);
          })
      },
      enviar() {
        this.Ask("Esta apunto de enviar su declaración, ¿desea continuar?", () => {
          this.$http.get('savedeclaracion/' + this.ip_id).then(
            response => {
              //console.log(response.data.data);
              if (response.data.data == 'Correcto') {
                this.setSession(response.data);
                this.$router.push('enviada')
                this.$router.go();
              } else
                this.Err(response.data);


            }
          )
        });
      }
    }
  }

</script>
<style>
  img.resize {
    max-width: 40% !important;
    max-height: 40% !important;
  }

  /* thead {
    display: none;
  }
 */
  .nombre {
    text-transform: uppercase;
    text-align: left !important;
  }

  .categoria {
    font-weight: bold !important;
  }

  .datos {
    margin-block-start: 0px !important;
    margin-block-end: 0px !important;
  }

  .fechap::first-letter {
    text-transform: uppercase;
  }

  .fechap {
    font-weight: bold;
  }

</style>
